from setuptools import setup, find_packages

# with open('requirements.txt') as f:
#     requirements = f.readlines()
#
# with open('test-requirements.txt') as f:
#     test_requirements = f.readlines()
requirements = test_requirements = []

setup(name='module-build-service-copr',
      description='Copr plugin for the Module Build Service',
      version='0.2',
      classifiers=[
          "Programming Language :: Python",
          "Topic :: Software Development :: Build Tools"
      ],
      keywords='module build service copr',
      author='Jakub Kadlcik',
      author_email='jkadlcik@redhat.com',
      url='https://pagure.io/module-build-service-copr/',
      license='MIT',
      packages=find_packages(exclude=['tests']),
      include_package_data=True,
      zip_safe=False,
      install_requires=requirements,
      tests_require=test_requirements,
      entry_points={
          'mbs.builder_backends': [
              'copr = module_build_service_copr.builder.CoprModuleBuilder:CoprModuleBuilder',
          ],
      },
      data_files=[('/etc/module-build-service/', ['conf/copr.conf'])]
      )
